%define anolis_release 1

Name:           python-executing
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Python library for inspecting the current frame run footprint

License:        MIT
URL:            https://github.com/alexmojaki/executing
# The package uses setuptools_scm, GitHub tarball will not work
Source0:        %{pypi_source executing}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Get information about what a Python frame is currently doing, particularly the
AST node being executed}

%description %_description

%package -n python3-executing
Summary:        %{summary}

%description -n python3-executing %_description


%prep
%autosetup -p1 -n executing-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files executing


%check
%tox


%files -n python3-executing -f %{pyproject_files}
%license LICENSE.txt


%changelog
* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 1.2.0-1
- Import package for anolis 23
